curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true
}Databases
Retrieve Database Configuration
Retrieve an individual database configuration belonging to the organization or user.
GET
/
v1
/
organizations
/
{organizationSlug}
/
databases
/
{databaseName}
/
configuration
curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
{
"size_limit": "10000",
"allow_attach": true,
"block_reads": false,
"block_writes": false,
"delete_protection": true
}curl -L -X GET 'https://api.turso.tech/v1/organizations/{organizationSlug}/databases/{databaseName}/configuration' \
-H 'Authorization: Bearer TOKEN'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the organization or user account.
The name of the database.
Response
200 - application/json
Successful response
The maximum size of the database in bytes. Values with units are also accepted, e.g. 1mb, 256mb, 1gb.
Example:
"10000"
Allow or disallow attaching databases to the current database.
Example:
true
The current status for blocked reads.
Example:
false
The current status for blocked writes.
Example:
false
Prevent the database from being deleted.
Example:
true
Was this page helpful?